﻿#ContentDiv:not(:has(.grid-stack-wrapper)):has(.board-container) {
    padding-inline: 0rem;
}

#ContentDiv:not(:has(.grid-stack-wrapper)):has(.board-container) .presentation-object {
    background-color: transparent !important;
}

#ContentDiv:not(:has(.grid-stack-wrapper)):has(.board-container) .presentation-control-container {
    margin-block-end: 0rem;
}

#ContentDiv:not(:has(.grid-stack-wrapper)):has(.board-container) .po_captionbar {
    margin-left: 1.5rem;
}

.board-container {
    border: 1px solid var(--alfa-control-border-color-primary-default);
    border-top: 0;
    background: var(--alfa-main-content-background-color);
    color: var(--alfa-masthead-font-color);
    display: flex;
    margin-left: 1.5rem;
    width: fit-content;
}

.board-in-contentarea .board-container {
    margin-left: 0;
    margin-right: 0;
}

.board-ctrl-container .dx-scrollbar-vertical.dx-scrollbar-hoverable,
.board-ctrl-container .dx-scrollbar-horizontal.dx-scrollbar-hoverable {
    z-index: 5;
}

.board-column {
    flex: none;
    width: 20.9375rem;
    display: flex;
    flex-direction: column;
}

.board-column:not(:last-child) {
    border-right: 1px solid var(--alfa-control-border-color-primary-default);
}

.board-column-header {
    height: 5.0625rem;
    padding-top: 1.5625rem;
    padding-bottom: 1.6875rem;
    padding-left: 1.8125rem;
    padding-right: 1.8125rem;
    display: flex;
    align-items: center;
    border-bottom: 1px solid var(--alfa-control-border-color-primary-default);
    border-top: 1px solid var(--alfa-control-border-color-primary-default);
    background: var(--alfa-main-content-background-color);
    position: sticky;
    top: 1px;
    z-index: 3;
    gap: 1rem;
    box-shadow: 0 -1px 0 0 #fff;
}

.board-column-label {
    font-size: 0.875rem;
    line-height: 1.375rem;
    font-weight: 500;
    height: 1.875rem;
    display: flex;
    align-items: center;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    min-width: 0;
    gap: var(--dlt-spacing-half-x, 0.25rem)
}

.board-column-label span {
    width: 100%;
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.board-column-icon {
    flex: none;
    height: 1.125rem;
    width: 1.125rem;
}

.board-column-label.enum-label {
    border: 0.125rem solid;
    border-radius: 100vh;
}

.board-column-label.reference-label {
    border: 0.125rem solid var(--alfa-color-palette-berlin-200, #BFC1C3);
    color: var(--alfa-text-color-primary, #292F36);
    padding: 0 0.3125rem;
    border-radius: 0.375rem;
}

.board-column-label.role-label {
    border: 0.125rem solid var(--alfa-color-palette-berlin-200, #BFC1C3);
    color: var(--alfa-text-color-primary, #292F36);
    padding: 0 0.3125rem;
    border-radius: 0.375rem;
}

.board-column-total-items {
    font-size: 0.875rem;
    line-height: 1.375rem;
}

.board-item {
    border-radius: 0.125rem;
    background: var(--alfa-content-item-background-color, #FFFFFF);
    box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.08);
    position: relative;
    z-index: 2;
}

.board-item .move-trigger-board {
    cursor: move;
    position: absolute;
    left: 0.25rem;
    top: 0.75rem;
    z-index: 10;
    width: 1rem;
    height: 1rem;
    display: block;
    transition: opacity 0.5s;
    opacity: 0;
}

.board-item:hover .move-trigger-board {
    opacity: 1;
}

.board-item:hover .board-item-header {
    transform: translateX(1rem);
}

.board-item-header-attribute {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: inline-block;
}

.board-item-header-attribute.bold {
    font-weight: 700;
}

.board-item-header-attribute.name {
    flex-grow: 1;
}

.board-item-content {
    transition: height 0.3s ease-in-out;
    overflow: hidden;
}

.board-item.has-border {
    border-top: 0.375rem solid;
}

.board-column-items {
    min-height: 0;
    height: 100%;
}

.board-column-items-wrapper {
    padding-top: 0.3125rem;
    padding-bottom: 0.3125rem;
    padding-left: 1.8125rem;
    padding-right: 1.8125rem;
    padding-top: 1.3125rem;
    padding-bottom: 1.3125rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    min-height: 100%;
    position: relative;
}

.board-column-items-wrapper.is-dragover:after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: var(--alfa-control-border-color-primary-default);
    opacity: 0.2;
    z-index: 1;
}

.board-item-properties {
    display: grid;
    grid-template-columns: 6.25rem auto;
    gap: 0.5rem;
    font-size: 0.75rem;
    padding: 0.5rem;
}

.board-item-properties .property-value {
    max-width: 9.5rem;
    display: flex;
    align-items: center;
    gap: 0.25rem;
}

.board-item-properties .property-value .count {
    font-size: 0.625rem;
    font-weight: 500;
    flex: none;
    cursor: help;
}

.board-item-properties .property-value-content {
    display: flex;
    align-items: center;
    color: var(--alfa-masthead-font-color);
    min-width: 0px;
}

.board-item-properties .property-value-content .svg-icon {
    width: 0.875rem;
    height: 0.875rem;
    margin-right: 0.25rem;
    flex: none;
}

.board-item-properties .property-value-content.enum-label {
    border: 0.0875rem solid;
    border-radius: 100vh;
    padding: 0 0.375rem;
    max-width: fit-content;
    margin-top: -0.125rem;
}

.board-item-properties .property-value-content.reference-label,
.board-item-properties .property-value-content.role-label {
    border: 0.0875rem solid;
    border-radius: 0.375rem;
    padding: 0 0.375rem;
    max-width: fit-content;
    margin-top: -1px;
    cursor: pointer;
    user-select: none;
}

.board-item-properties .property-value-content.role-label[data-count] {
    margin-right: 0.875rem;
}

.board-item-properties .property-value-content.reference-label:hover,
.board-item-properties .property-value-content.role-label:hover {
    border-color: var(--alfa-primary-color) !important;
}

.board-item-properties .property-value.no-value {
    visibility: hidden;
}

.board-item-properties .property-value span {
    max-width: 7.125rem;
}

.board-item-properties .property-title {
    position: relative;
    color: var(--alfa-masthead-font-color);
    display: flex;
    max-width: 6.25rem;
    width: min-content;
    opacity: 0.6;
}

.board-item-properties .property-title:after {
    content: ":";
    position: absolute;
    right: -0.1875rem;
    top: 0;
}

.board-item-properties span {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
}

.board-item-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    margin-left: 1px;
    margin-right: 1px;
    min-height: 2.5rem;
    gap: 1rem;
    color: var(--alfa-masthead-font-color);
    transition: transform 0.3s ease-in-out;
    font-size: 0.75rem;
    width: 16.125rem;
    cursor: pointer;
    user-select: none;
}

.board-item-divider {
    height: 1px;
    background-color: var(--alfa-control-border-color-primary-default);
}

.board-item-header .svg-icon {
    width: 1.5rem;
    height: 1.5rem;
    margin-inline-end: 0;
    flex: none;
}

.board-item-images {
    display: flex;
    flex-wrap: wrap;
    gap: 1rem;
    padding: 0.5rem;
    justify-content: space-evenly;
}

.board-item-images>* {
    width: 3rem;
    height: 3rem;
    flex: none;
}